Skip to main content
PATCH
Update Flow Settings

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

flowId
string
required

The unique identifier for the Flow.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
continueExecutionAfterAttachedFlow
boolean
continueExecutionAterDefaultReply
boolean
continueExecutionAfterNegativeConfirmation
boolean
passDefaultRepliesIntoFlow
boolean
flowIntentMappingOrder
enum<string>
Available options:
joint,
main,
attached
useAttachedFlowThresholds
boolean
useAttachedFlowContinueAfterDefaultReply
boolean
useAttachedFlowPassDefaultRepliesIntoFlow
boolean
implicitSlotParsing
enum<string>
Available options:
disabled,
full,
system,
lexicon
useAttachedFlowImplicitSlotParsing
boolean
lexiconSlotsWithSubMatches
boolean
useIntentDefaultRepliesAsExamples
boolean

Enable/Disable using default replies as training examples.

localeSettings
object

Response

Successfully updated the FlowSettings

Last modified on July 22, 2026